webpackJsonp([134],{

/***/ 1032:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GoodsDeleveryAddressPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_add_address_add_address__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_edit_address_edit_address__ = __webpack_require__(495);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the GoodsDeleveryAddressPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var User = /** @class */ (function () {
    function User() {
        this.receives = [];
    }
    return User;
}());
var GoodsDeleveryAddressPage = /** @class */ (function () {
    function GoodsDeleveryAddressPage(navCtrl, navParams, modalCtrl, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.token = null;
        this.hasmore = true;
        this.user = new User();
        this.params = {
            page: 1,
            size: 10,
            token: ''
        };
    }
    GoodsDeleveryAddressPage.prototype.ionViewDidLoad = function () {
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.getUserInfo();
    };
    /**
     * 校验登录
     */
    GoodsDeleveryAddressPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
     * 获取个人信息
     */
    GoodsDeleveryAddressPage.prototype.getUserInfo = function () {
        var _this = this;
        this.user = JSON.parse(localStorage.getItem('changchun.user')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getUserInfo, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.user = d;
                    _this.params.page += 1;
                    //this.receives = d.receives || [];
                    localStorage.setItem('changchun.user', JSON.stringify(d));
                }
            }
        });
    };
    //刷新时需要初始化
    GoodsDeleveryAddressPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getUserInfo();
    };
    //下拉刷新方法
    GoodsDeleveryAddressPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    GoodsDeleveryAddressPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getMessageList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.user.receives = _this.user.receives.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 删除地址
     * @param slidingItem
     * @param index
     * @param address_id
     */
    GoodsDeleveryAddressPage.prototype.deleteAddress = function (slidingItem, index, address_id) {
        var _this = this;
        var token = this.token;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此收件地址',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.deleteReceive, //1.url
                        {
                            token: token,
                            receive_id: address_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    /**
     * 设置本次答题收件地址
     * @param slidingItem
     * @param index
     * @param address_id
     */
    GoodsDeleveryAddressPage.prototype.setDefaultAddress = function (slidingItem, index, address, name, mobile) {
        if (name == null || name == '' || mobile == null || mobile == '') {
            this.appService.alert("收件地址不完整，请完善后再设置");
            return;
        }
        var member_address = name + "  " + mobile + "  " + address;
        localStorage.setItem("changchun.delevery_address", member_address);
        this.appService.alert("设置成功");
        this.navCtrl.pop();
    };
    /**
     *
     * @param address
     */
    // selectAddress(address:any){
    //   for(var i=0;i<this.addressList.length;i++){
    //     if(address==null)break;
    //     if(address.id===this.addressList[i].id){
    //       this.addressList[i].isDefault='1';
    //     }else{
    //       this.addressList[i].isDefault='0';
    //     }
    //   }
    // }
    /**
     * Modal打开新增收件地址
     * @param myEvent
     */
    GoodsDeleveryAddressPage.prototype.presentAddAddressModal = function (myEvent) {
        var _this = this;
        var cityModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_add_address_add_address__["a" /* AddAddressComponent */]);
        cityModal.onDidDismiss(function (data) {
            console.log('closed addaddressModal');
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        cityModal.present({
            ev: myEvent
        });
    };
    /**
     * Modal打开新增收件地址
     * @param myEvent
     */
    GoodsDeleveryAddressPage.prototype.presentEditAddressModal = function (myEvent, address_id) {
        var _this = this;
        var editCityModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_edit_address_edit_address__["a" /* EditAddressComponent */], { address_id: address_id });
        editCityModal.onDidDismiss(function (data) {
            console.log('closed editaddressModal');
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        editCityModal.present({
            ev: myEvent
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    GoodsDeleveryAddressPage.prototype.trackByAddressList = function (index, city) {
        return city.id;
    };
    GoodsDeleveryAddressPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-goods-delevery-address',template:/*ion-inline-start:"D:\ionic3_project\changchun\zhengshi\changchun_20211105_shouye_zheng\src\pages\goods-delevery-address\goods-delevery-address.html"*/'<!--\n  Generated template for the MySettingAddressPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>收件地址</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-only (click)="presentAddAddressModal($event)">\n        添加\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content>\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content\n        pullingIcon="arrow-dropdown"\n        pullingText="下拉刷新"\n        refreshingSpinner="circles"\n        refreshingText="加载中..."\n      >\n      </ion-refresher-content>\n    </ion-refresher>\n\n    <section>\n    <div *ngIf=\'user==undefined||user==null||user.receives==undefined||user.receives==null||user.receives.length==0||user.receives.length==underfind\'>\n      <p style="text-align:center;" class="textCtrl-content">暂无相关数据</p>\n    </div>\n    <ng-container *ngIf=\'!(token==null||token==undefined||token==="")\'>  \n      <ion-list>\n        <ng-container *ngFor="let address of user.receives; let i=index; trackBy: trackByAddressList">\n          <ion-item-sliding #slidingItem>\n            <ion-item class="item-content">\n              <h3 class="ion-title textCtrl-content" text-wrap>收件人：{{address.name}}</h3><br>    \n              <h3 class="ion-title textCtrl-content" text-wrap>手机号码：{{address.mobile}}</h3><br>    \n              <h3 class="ion-title textCtrl-content" text-wrap>地址：{{address.address}} </h3>\n              <!-- <p class="textCtrl-content" text-wrap *ngIf="address.address.length<=20">{{address.address}}</p>\n              <p class="textCtrl-content" text-wrap *ngIf="address.address.length>20">{{address.address.substring(0,20)}}</p>\n              <p class="textCtrl-content" text-wrap *ngIf="address.address.length>20">{{address.address.substring(0,address.address)}}</p> -->\n              <p class="textCtrl-content"> 邮编：{{address.post_code}}</p>\n              <button style="background-color: #f53d3d;float:right;" ion-button expandable (click)="deleteAddress(slidingItem,i,address.id)">\n                删除\n              </button>   \n              <button style="background-color: green;float:right;" ion-button expandable (click)="presentEditAddressModal($event,address.id)">\n                修改\n              </button>\n              <button style="background-color: #ffc900;float:right;" ion-button expandable (click)="setDefaultAddress(slidingItem,i,address.address,address.name,address.mobile)" >\n                选择本次收货地址\n              </button>\n            </ion-item>\n            <!--<ion-item-options side="right">\n              <ng-container  >\n                \n              </ng-container> \n            </ion-item-options>-->\n          </ion-item-sliding> \n\n        </ng-container>  \n      </ion-list>\n    </ng-container>    \n    </section>\n</ion-content>\n'/*ion-inline-end:"D:\ionic3_project\changchun\zhengshi\changchun_20211105_shouye_zheng\src\pages\goods-delevery-address\goods-delevery-address.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], GoodsDeleveryAddressPage);
    return GoodsDeleveryAddressPage;
}());

//# sourceMappingURL=goods-delevery-address.js.map

/***/ }),

/***/ 893:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GoodsDeleveryAddressPageModule", function() { return GoodsDeleveryAddressPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__goods_delevery_address__ = __webpack_require__(1032);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GoodsDeleveryAddressPageModule = /** @class */ (function () {
    function GoodsDeleveryAddressPageModule() {
    }
    GoodsDeleveryAddressPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__goods_delevery_address__["a" /* GoodsDeleveryAddressPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__goods_delevery_address__["a" /* GoodsDeleveryAddressPage */]),
            ],
        })
    ], GoodsDeleveryAddressPageModule);
    return GoodsDeleveryAddressPageModule;
}());

//# sourceMappingURL=goods-delevery-address.module.js.map

/***/ })

});
//# sourceMappingURL=134.js.map