webpackJsonp([75],{

/***/ 1093:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrgPreferredPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the OrgPreferredPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OrgPreferredPage = /** @class */ (function () {
    function OrgPreferredPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.integralDetailList = []; //积分详情
        this.integralGoodsList = []; //商品列表
        this.integralDetailListLength = 0;
        this.integralGoodsListLength = 0;
        this.hasmore = true;
        this.hasmoreGoods = true;
        this.params = {
            page: 1,
            size: 5,
            token: localStorage.getItem('changchun.token')
        };
        this.params_goods = {
            page: 1,
            size: 5,
            token: localStorage.getItem('changchun.token')
        };
        this.tabs = "integral";
    }
    OrgPreferredPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OrgPreferredPage');
        this.initList();
        this.initListGoods();
    };
    OrgPreferredPage.prototype.ionViewWillEnter = function () {
        this.initList();
        this.initListGoods();
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    OrgPreferredPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getIntegralDetailList();
    };
    OrgPreferredPage.prototype.initListGoods = function () {
        this.params_goods.page = 1;
        this.hasmoreGoods = true;
        this.getIntegralGoodsList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    OrgPreferredPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    OrgPreferredPage.prototype.doRefreshGoods = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initListGoods();
            refresher.complete();
        }, 1000);
    };
    /**
     * 获取积分详情列表
     */
    OrgPreferredPage.prototype.getIntegralDetailList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getIntegralDetailList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.integralDetailList = d;
                    _this.integralDetailListLength = d.length;
                    _this.params.page += 1;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    OrgPreferredPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getIntegralDetailList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.integralDetailList = _this.integralDetailList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 获取商品信息
     */
    OrgPreferredPage.prototype.getIntegralGoodsList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getIntegralGoodsList, this.params_goods, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.integralGoodsList = d;
                    _this.integralGoodsListLength = d.length;
                    _this.params_goods.page += 1;
                    for (var i = 0; i < _this.integralGoodsList.length; i++) {
                        if (_this.integralGoodsList[i].integral_goods_describe != null && _this.integralGoodsList[i].integral_goods_describe.length > 20) {
                            _this.integralGoodsList[i].integral_goods_describe = _this.integralGoodsList[i].integral_goods_describe.substring(0, 19) + "...";
                        }
                    }
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    OrgPreferredPage.prototype.doInfiniteGoods = function (infiniteScroll) {
        var _this = this;
        if (this.hasmoreGoods == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getIntegralGoodsList, this.params_goods, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.integralGoodsList = _this.integralGoodsList.concat(d);
                _this.params_goods.page += 1;
            }
            else {
                _this.hasmoreGoods = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**商品详情 */
    OrgPreferredPage.prototype.goDetail = function (goods_id) {
        console.log(goods_id);
        this.navCtrl.push('GoodsDetailPage', { goods_id: goods_id });
    };
    OrgPreferredPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-org-preferred',template:/*ion-inline-start:"D:\ionic3_project\changchun\zhengshi\changchun_20211105_shouye_zheng\src\pages\member\org-preferred\org-preferred.html"*/'<!--\n  Generated template for the OrgPreferredPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>工会优选</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-segment [(ngModel)]="tabs" mode="ios">\n    <ion-segment-button  value="integral">\n        <ion-label style="font-size:13px;margin-top:-2px;">积分详情</ion-label>\n      </ion-segment-button>\n    <ion-segment-button value="goods">\n          <ion-label style="font-size:13px;margin-top:-2px;">兑换</ion-label>\n    </ion-segment-button>\n  </ion-segment>\n  <div [ngSwitch]="tabs">\n    <div *ngSwitchCase="\'integral\'">\n      <ion-refresher (ionRefresh)="doRefresh($event)" *ngIf="integralDetailListLength != 0">\n        <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n          refreshingText="加载中...">\n        </ion-refresher-content>\n      </ion-refresher>\n      <ion-item style="padding-left:0;border:none;" *ngIf="integralDetailListLength == 0">\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无积分详情信息</p>\n      </ion-item>\n      <ion-card *ngFor="let integral of integralDetailList">\n        <ion-card-content style="line-height:2rem;">\n          <ion-grid  class="grid">\n            <ion-row>\n              <ion-col col-6>会员名称：{{integral.name}}</ion-col>\n              <ion-col col-6>积分分值：{{integral.integral_num}}</ion-col>\n            </ion-row>\n            <ion-row>\n              <ion-col col-6>积分类型：{{integral.integral_type}}</ion-col>\n              <ion-col col-12>积分详细类型：{{integral.integral_detail_type}}</ion-col>\n              <ion-col col-12>积分描述：{{integral.integral_describe}}</ion-col>\n            </ion-row>\n          </ion-grid>\n        </ion-card-content>\n      </ion-card>\n      <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n        </ion-infinite-scroll-content>\n      </ion-infinite-scroll>\n    </div>\n    <div *ngSwitchCase="\'goods\'">\n          <ion-refresher (ionRefresh)="doRefreshGoods($event)" *ngIf="integralGoodsListLength != 0">\n            <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n              refreshingText="加载中...">\n            </ion-refresher-content>\n          </ion-refresher>\n          <ion-item style="padding-left:0;border:none;" *ngIf="integralGoodsListLength == 0">\n            <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无商品信息</p>\n          </ion-item>\n          <ion-list  no-lines >         \n            <ion-item class="excellentgraduatelist" (click)="goDetail(goods.id)" *ngFor="let goods of integralGoodsList">\n              <div item-start style="width: 100px;height: 100px;"><img   src="assets/imgs/shafa.png" style="height:100%;width:100%;object-fit:cover"></div>\n              <div class="info">\n                <h4 style="margin-left: -4px;">{{goods.integral_goods_name}}</h4>\n                <p>所需积分：{{goods.integral_num}}</p>\n                <p>剩余数量：{{goods.total_num}}</p>\n                <p text-wrap>商品描述：{{goods.integral_goods_describe}}</p>\n                <button class="button" (click)="goDetail(goods.id)" ion-button clear >详情</button><br>\n              </div>\n            </ion-item>\n          </ion-list>\n          <ion-infinite-scroll (ionInfinite)="doInfiniteGoods($event)" *ngIf="hasmoreGoods">\n            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n            </ion-infinite-scroll-content>\n          </ion-infinite-scroll>\n      </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionic3_project\changchun\zhengshi\changchun_20211105_shouye_zheng\src\pages\member\org-preferred\org-preferred.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], OrgPreferredPage);
    return OrgPreferredPage;
}());

//# sourceMappingURL=org-preferred.js.map

/***/ }),

/***/ 954:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrgPreferredPageModule", function() { return OrgPreferredPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__org_preferred__ = __webpack_require__(1093);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OrgPreferredPageModule = /** @class */ (function () {
    function OrgPreferredPageModule() {
    }
    OrgPreferredPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__org_preferred__["a" /* OrgPreferredPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__org_preferred__["a" /* OrgPreferredPage */]),
            ],
        })
    ], OrgPreferredPageModule);
    return OrgPreferredPageModule;
}());

//# sourceMappingURL=org-preferred.module.js.map

/***/ })

});
//# sourceMappingURL=75.js.map